Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

lucidworks-hdpsearch on HDP 2.5

lucidworks-hdpsearch on HDP 2.5

New Contributor

p.p1 {margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; background-color: #ffffff} p.p2 {margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; background-color: #ffffff; min-height: 13.0px} span.s1 {font-variant-ligatures: no-common-ligatures}

[root@sandbox lucid]# rpm -ivh lucidworks-hdpsearch-2.5-100.noarch.rpm

Preparing... ########################################### [100%]

Executing pre-install script

====

ERROR: Your Linux distribution (Linux version 4.9.8-moby (root@1d811a9194c4) (gcc version 5.3.0 (Alpine 5.3.0) ) #1 SMP Wed Feb 8 09:56:43 UTC 2017) is not supported by this script!

====

error: %pre(lucidworks-hdpsearch-0:2.5-100.noarch) scriptlet failed, exit status 1

error: install: %pre scriptlet failed (2), skipping lucidworks-hdpsearch-0:2.5-100

It's happening because of the prescript that checks

  1. if[[ $proc_version ==*"Debian"*]];then
  2. distro=Debian
  3. elif[[ $proc_version ==*"Red Hat"*]];then
  4. distro=RedHat
  5. elif[[ $proc_version ==*"Ubuntu"*]];then
  6. distro=Ubuntu
  7. elif[[ $proc_version ==*"SUSE"*]];then
  8. distro=SUSE

But HDP output of:

uname -a:

p.p1 {margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; background-color: #ffffff} span.s1 {font-variant-ligatures: no-common-ligatures}

Linux sandbox.hortonworks.com 4.9.8-moby #1 SMP Wed Feb 8 09:56:43 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

cat /proc/redhad-release:

p.p1 {margin: 0.0px 0.0px 0.0px 0.0px; font: 11.0px Menlo; color: #000000; background-color: #ffffff} span.s1 {font-variant-ligatures: no-common-ligatures}

Linux version 4.9.8-moby (root@1d811a9194c4) (gcc version 5.3.0 (Alpine 5.3.0) ) #1 SMP Wed Feb 8 09:56:43 UTC 2017

How to go about fixing this?

3 REPLIES 3

Re: lucidworks-hdpsearch on HDP 2.5

@Gogreen withTech

The problem seems to be related to Docker Sandbox which uses Moby Linux. As you discovered, the HDPSearch RPM fails to treat moby as centos/redhat.

I'm not aware of a solution, but I will raise the issue.

Highlighted

Re: lucidworks-hdpsearch on HDP 2.5

New Contributor

The OS detection for the solr script was improved in Solr 6.3 with SOLR-9475. Prior to this, the solr script from bin/solr wouldn't detect the OS properly when running under Docker. There are some other OS detection improvements as well from that JIRA.

Re: lucidworks-hdpsearch on HDP 2.5

Contributor

@Gogreen withTech @Kevin Risden @Michael Young This is still a problem with HDP 2.6 Docker sandbox as well. Is there any guidance on how to install Solr/HDP Search on the sandbox?

Don't have an account?
Coming from Hortonworks? Activate your account here